#pragma once

#include "locale.h"
#include <gint/display.h>

#ifdef LANG_FR
#define CHOICE_YES "OUI"
#define CHOICE_NO  "NON"
#define CHOICE_OK  "OK"
#endif

#ifdef LANG_EN
#define CHOICE_YES "YES"
#define CHOICE_NO  "NO"
#define CHOICE_OK  "OK"
#endif

#define BUTTON_WIDTH  52
#define BUTTON_HEIGHT 32
#define BUTTON_Y      (DHEIGHT - BUTTON_HEIGHT * 1.7)

struct Choice {
	int cursor;
};

struct Choice choice_init(void);
void choice_draw(struct Choice choice);
